"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlaceholderItem = void 0;
const react_1 = __importDefault(require("react"));
const compass_components_1 = require("@mongodb-js/compass-components");
const constants_1 = require("./constants");
const placeholderItem = (0, compass_components_1.css)({
    display: 'flex',
    alignItems: 'center',
    height: constants_1.COLLECTION_ROW_HEIGHT,
});
const padding = {
    database: (0, compass_components_1.css)({
        paddingLeft: compass_components_1.spacing[3] + compass_components_1.spacing[1],
    }),
    collection: (0, compass_components_1.css)({
        paddingLeft: compass_components_1.spacing[5] + compass_components_1.spacing[1] + compass_components_1.spacing[4],
    }),
};
const PlaceholderItem = ({ type = 'collection', style }) => {
    return (react_1.default.createElement("div", { className: (0, compass_components_1.cx)(placeholderItem, padding[type]), style: style },
        react_1.default.createElement(compass_components_1.Placeholder, null)));
};
exports.PlaceholderItem = PlaceholderItem;
//# sourceMappingURL=placeholder-item.js.map